Name: xkeyboard-config
Summary: XML-based XKB configuration registry
Version: 1.3
Release: alt2.M41.1
License: X11/MIT
Group: System/X11
Url: http://gswitchit.sourceforge.net/
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Provides: xorg-x11-xkbdata xkbdata
Obsoletes: xorg-x11-xkbdata <= 1.0.1-alt4
Requires: libX11 >= 1.1.3-alt5

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: gettext glib2-devel intltool perl-XML-Parser xkbcomp

%description
Just XML stuff. Later hopefully will be part of Xorg

%prep
%setup -q
%patch -p1

%build
intltoolize --force
%autoreconf
%configure \
	--with-xkb-base=%_datadir/X11/xkb \
	--enable-compat-rules \
	--with-xkb-rules-symlink=xorg \
	--disable-xkbcomp-symlink
%make 

for d in compat geometry keycodes keymap semantics symbols types; do
	cd $d
	xkbcomp -lfhlpR -o $d.dir '*'
	cd ../
done

%install
%make DESTDIR=%buildroot install 

rm -f %buildroot%_datadir/X11/xkb/compiled

%find_lang %name

%pre
[ ! -d %_datadir/X11/xkb/symbols/pc ] || rm -fr %_datadir/X11/xkb/symbols/pc

%files -f %name.lang
%doc AUTHORS CREDITS NEWS README COPYING docs/HOWTO.testing docs/HOWTO.transition
%doc docs/README.config docs/README.enhancing docs/README.symbols
%_datadir/X11/xkb

%changelog
* Mon Sep 29 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.3-alt2.M41.1
- build for branch 4.1

* Wed Aug 13 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.3-alt3
- updated russian translate

* Wed Aug 06 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.3-alt2
- added support Logitech diNovo Media Desktop Laser Keyboard

* Thu May 29 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.3-alt1
- 1.3

* Thu Apr 24 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.2-alt3
- final variant yakut language layout

* Thu Apr 10 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.2-alt2
- added yakut language layout

* Wed Jan 30 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.2-alt1
- 1.2

* Tue Jan 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.1-alt5
- CVS snapshot 2008-01-07:
  + added logiultrax, BTC 6301URF, thinkpad60 models
  + small OLPC fixes

* Sun Oct 28 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.1-alt4
- CVS snapshot 2007-10-28:
  + OLPC fixlets

* Mon Oct 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.1-alt3
- CVS snapshot 2007-10-13

* Thu Oct 04 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.1-alt2
- drop Slovenian translation

* Wed Sep 26 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.1-alt1
- 1.1

* Sun Sep 16 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.0-alt5
- CVS snapshot 2007-09-14

* Sat Aug 25 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.0-alt4
- CVS snapshot 2007-08-24

* Sun Aug 19 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.0-alt3
- CVS snapshot 2007-08-18

* Sat Jul 14 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.0-alt2
- updated/new translations

* Fri Jun 29 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.0-alt1
- 1.0

* Fri Jun 22 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9-alt8
- CVS snapshot 2007-06-18:
- fixed symbols in chuvash keyboard layout

* Fri Jun 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9-alt7
- CVS snapshot 2007-06-13:
  + chuvash and udmurt keyboard layout

* Tue Jun 05 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9-alt6
- CVS snapshot 2007-05-26

* Thu May 17 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9-alt5
- CVS snapshot 2007-05-14

* Sun Feb 04 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9-alt4
- CVS snapshot 2007-02-03:
  + added (model, layout->geometry) section for thinkpad

* Sat Jan 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9-alt3
- CVS snapshot 2007-01-27
- closed #10720

* Wed Dec 06 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.9-alt2
- CVS snapshot 2006-11-20
- added support BTC 9116U Mini Wireless Internet and Gaming keyboard

* Mon Oct 09 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.9-alt1
- 0.9

* Mon Oct 02 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.8-alt7
- CVS snaphot 2006-10-01

* Thu May 11 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.8-alt6
- added support BTC 9019U

* Sun May 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.8-alt5
- CVS snapshot 2006-05-05

* Sun Apr 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.8-alt4
- CVS snapshot 2006-04-20
- Obsoletes xorg-x11-xkbdata

* Mon Apr 17 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.8-alt3
- added support Genius KB-19e NB

* Sun Mar 26 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.8-alt2
- CVS snapshot 2006-03-25

* Mon Mar 06 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.8-alt1
- initial release

